Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F160177109
D31211.id92391.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
557 B
Referenced Files
None
Subscribers
None
D31211.id92391.diff
View Options
Index: Mk/Scripts/qa.sh
===================================================================
--- Mk/Scripts/qa.sh
+++ Mk/Scripts/qa.sh
@@ -659,9 +659,11 @@
# Check that the .so we need has a SONAME
if [ "${dep_file_pkg}" != "${PKGORIGIN}" ]; then
+ set +o pipefail
if ! readelf -d "${dep_file}" | grep -q SONAME; then
err "${file} is linked to ${dep_file} which does not have a SONAME. ${dep_file_pkg} needs to be fixed."
fi
+ set -o pipefail
fi
# If we don't already depend on it, and we don't provide it
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Mon, Jun 22, 10:29 PM (3 h, 8 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
34216483
Default Alt Text
D31211.id92391.diff (557 B)
Attached To
Mode
D31211: Mk/Scripts/qa.sh: Turn off pipefail when piping to grep -q
Attached
Detach File
Event Timeline
Log In to Comment